
From: Martin Bligh

Add cpu_mask_to_apicid to generic arch to fit with Keith's changes.



 include/asm-i386/genapic.h                |    2 ++
 include/asm-i386/mach-generic/mach_apic.h |    1 +
 2 files changed, 3 insertions(+)

diff -puN include/asm-i386/genapic.h~genarch_clustered_io_apic include/asm-i386/genapic.h
--- 25/include/asm-i386/genapic.h~genarch_clustered_io_apic	2003-05-17 14:09:29.000000000 -0700
+++ 25-akpm/include/asm-i386/genapic.h	2003-05-17 14:09:29.000000000 -0700
@@ -59,6 +59,7 @@ struct genapic { 
 
 	unsigned (*get_apic_id)(unsigned long x);
 	unsigned long apic_id_mask; 
+	unsigned int (*cpu_mask_to_apicid)(unsigned long cpumask);
 	
 	/* ipi */
 	void (*send_IPI_mask)(int mask, int vector);
@@ -95,6 +96,7 @@ struct genapic { 
 	APICFUNC(mps_oem_check), \
 	APICFUNC(get_apic_id), \
 	.apic_id_mask = APIC_ID_MASK, \
+	APICFUNC(cpu_mask_to_apicid), \
 	APICFUNC(acpi_madt_oem_check), \
 	APICFUNC(send_IPI_mask), \
 	APICFUNC(send_IPI_allbutself), \
diff -puN include/asm-i386/mach-generic/mach_apic.h~genarch_clustered_io_apic include/asm-i386/mach-generic/mach_apic.h
--- 25/include/asm-i386/mach-generic/mach_apic.h~genarch_clustered_io_apic	2003-05-17 14:09:29.000000000 -0700
+++ 25-akpm/include/asm-i386/mach-generic/mach_apic.h	2003-05-17 14:09:29.000000000 -0700
@@ -26,5 +26,6 @@
 #define check_apicid_used (genapic->check_apicid_used)
 #define GET_APIC_ID (genapic->get_apic_id)
 #define APIC_ID_MASK (genapic->apic_id_mask)
+#define cpu_mask_to_apicid (genapic->cpu_mask_to_apicid)
 
 #endif /* __ASM_MACH_APIC_H */

_
